Bug 27717 - VirtIO Treiber aktualisieren
VirtIO Treiber aktualisieren
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - KVM
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Philipp Hahn
Felix Botner
: interim-2
: 28738 (view as bug list)
Depends on:
Blocks: 28738
  Show dependency treegraph
 
Reported: 2012-06-21 20:50 CEST by Stefan Gohmann
Modified: 2013-11-19 06:41 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal, Troubleshooting, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2012-06-21 20:50:19 CEST
Es gibt aktuellere VirtIO Treiber, wir sollte das Update der Treiber prüfen:

http://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/bin/
Comment 1 Philipp Hahn univentionstaff 2012-08-22 19:51:14 CEST
Für UCS-3.1
Comment 2 Philipp Hahn univentionstaff 2012-10-10 20:13:45 CEST
Der VirtIO-Treiber wurde von Version 1.1-16 auf Version 0.1-30 aktualisiert (das sieht wie ein Rückschritt aus, aber anscheinend wurde zwischenzeitlich das Versionierungsschema geändert; das Datum ist jedenfals neuer.) Die Treiber-Versionsnummer in Windows macht auch einen Sprung, weil diese jetzt mit der (abgeleiteten) DDK-Versionsnummer (61=Win7) beginnen:
* NetKVM von 6.0.xxx auf 61.31.103.3000, 
* V(irt)IOStor(e) von 6.0.0.10 auf 61.63.103.3000 (unter Systemsteuerung→Geräte-Manager→Speichercontroller, nicht bei "Laufwert C:" nachsehen!)

Unter <https://hutten.knut.univention.de/mediawiki/index.php/WindowsVirtioBuild> habe ich probiert die Alternativen zu beschreiben:
* build-39 ist zwar neuer, aber nur Test-Signiert
* selber Bauen ist zu aufwändig

Treiber für Windows 8 gibt es derzeit noch nicht in signierter Form, deswegen sind die (noch) nicht dabei. (Neuer Bug)

Ich habe das aktualisieren der Treiber bei einem bereits installierten Windows7 und bei der Neuinstallation getestet. Für letzteres gibt es nicht länger ein Floppy-Disk-Image, sondern nur noch das ISO-Image. Zumindest unter Windows7 lässt sich davon auch bei der Installation schon davon Treiber einbinden.
Diesbezüglich wäre noch das Handbuch für 3.1 anzupassen und die Passagen bzgl. VFD zu entfernen. (Nach der QA diesen Bug clonen und auf Doku schieben)

svn36199, univention-kvm-virtio_2.0.0-1.6.201210102003
ChangeLog: svn15224
\item The VirtIO drivers for Windows on KVM have been updates to version 0.1-30 (\ucsBug{27717}).
Comment 3 Philipp Hahn univentionstaff 2012-10-10 20:24:13 CEST
Korrektur: Ein frisch Installiertes Win7 + VirtIO-0.1.-30 stürzt direkt nach der Installation mit dem BSOD PROCESS_INITIALIZATION_FAILED ab, nachdem .../DRIVERS/disk.sys geladen wurde (Ausgabe im abgesicherten Modus)
Comment 4 Felix Botner univentionstaff 2012-10-17 17:58:27 CEST
Ich bekomme ebenfalls Fehler bei/nach der Installation. Dateien auf der Festplatte sind dann nicht mehr korrekt. Getestet auch mit http://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/.

Ich denke, diese Treiber müssen wieder raus.
Comment 5 Philipp Hahn univentionstaff 2012-10-18 08:34:49 CEST
Binärpaket wurde aus 3.1-0 entfernt.
ChangeLog-Eintrag wurde zurückgenommen: svn15297
Wird wir 3.x nochmals angegangen.
Comment 6 Philipp Hahn univentionstaff 2013-05-06 08:27:06 CEST
Inzwischen gibt es
0.1-52, 2013-01-22, <http://alt.fedoraproject.org/pub/alt/virtio-win/stable/>
0.1-59, 2013-04-24, <http://alt.fedoraproject.org/pub/alt/virtio-win/latest/>

Eine Installation mit VioStor unter Windows-XP und Windows-7 hat bei mir dem latest funktioniert.
Bei Windows-XP hatte ich Probleme der NetKvm-Treiber zum Laufen zu bekommen, was aber vermutlich an dem fehlenden SP3 lag.

Wir sollten das IMHO für 3.2 nochmal prüfen.

Windows XP:
/cdrom/wxp/x86/balloon.inf
/cdrom/wxp/x86/vioser.inf
/cdrom/wxp/x86/viostor.inf
/cdrom/xp/amd64/netkvm.inf
/cdrom/xp/x86/netkvm.inf

Windows Vista (Longhorn)
/cdrom/vista/amd64/netkvm.inf
/cdrom/vista/x86/netkvm.inf
/cdrom/wlh/amd64/balloon.inf
/cdrom/wlh/amd64/vioscsi.inf
/cdrom/wlh/amd64/vioser.inf
/cdrom/wlh/amd64/viostor.inf
/cdrom/wlh/x86/balloon.inf
/cdrom/wlh/x86/vioscsi.inf
/cdrom/wlh/x86/vioser.inf
/cdrom/wlh/x86/viostor.inf

Windows 2003:
/cdrom/wnet/amd64/balloon.inf
/cdrom/wnet/amd64/vioscsi.inf
/cdrom/wnet/amd64/vioser.inf
/cdrom/wnet/amd64/viostor.inf
/cdrom/wnet/x86/balloon.inf
/cdrom/wnet/x86/vioscsi.inf
/cdrom/wnet/x86/vioser.inf
/cdrom/wnet/x86/viostor.inf

Windows 7:
/cdrom/win7/amd64/balloon.inf
/cdrom/win7/amd64/netkvm.inf
/cdrom/win7/amd64/vioscsi.inf
/cdrom/win7/amd64/vioser.inf
/cdrom/win7/amd64/viostor.inf
/cdrom/win7/x86/balloon.inf
/cdrom/win7/x86/netkvm.inf
/cdrom/win7/x86/vioscsi.inf
/cdrom/win7/x86/vioser.inf
/cdrom/win7/x86/viostor.inf

Windows 8:
/cdrom/win8/amd64/balloon.inf
/cdrom/win8/amd64/netkvm.inf
/cdrom/win8/amd64/vioscsi.inf
/cdrom/win8/amd64/vioser.inf
/cdrom/win8/amd64/viostor.inf
/cdrom/win8/x86/balloon.inf
/cdrom/win8/x86/netkvm.inf
/cdrom/win8/x86/vioscsi.inf
/cdrom/win8/x86/vioser.inf
/cdrom/win8/x86/viostor.inf
Comment 7 Stefan Gohmann univentionstaff 2013-05-23 11:28:00 CEST
Derzeit keine so hohe Priorität.
Comment 8 Philipp Hahn univentionstaff 2013-09-13 11:41:08 CEST
Please note, that RedHat uses version *0.1-*65, while we call it *1.1.*65 to have an increasing version number compared to our previous version 1.1.16 for our customers sake.

Please note that the Layout on the CD was changed from driver/windows-version/arch/ to windows-version/arch/.

Please note that the Virtual Floppy Image is no longer provided (manual/howtos need to be updated)

univention-kvm-virtio_3.0.0-1.7.201309131137
r44002 | Bug #27717: VirtIO: Update to 0.1-65
ChangeLog:
The VirtIO drivers were updated to version 0.1-65
Comment 9 Philipp Hahn univentionstaff 2013-09-13 11:42:12 CEST
*** Bug 28738 has been marked as a duplicate of this bug. ***
Comment 10 Felix Botner univentionstaff 2013-09-25 15:30:09 CEST
OK - tested (new installation with the virtio driver) with
 * winxp x86 (driver update)
 * win7 x86
 * win8 x64
 * w2k8r2 x64
 * w2k12 x64
Comment 11 Stefan Gohmann univentionstaff 2013-11-19 06:41:38 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".